ホーム > Symbian > UIQ3

UIQ3のアーカイブ

FontRouterがオープンソース化されていました(驚)&(凹)

Oasis Feng氏作の「FontRouter」がオープンソース化されていました。しかも公開されたのは2/15とおよそ3ヶ月前って…_ ̄|○ナンデモットハヤクキガツカナカッタンダ。|


ちなみにライセンス形式は「Apache License 2.0」だそうです。しかもこのアプリに必要なケイパビリティは「Protserv」だけだったりするのでExpress Signedでいけるのが(個人的にはかなり)魅力的です。

公開に踏み切って頂いた氏には頭が下がる思いです。自分も何かしらお手伝いが出来れば、と思います(-_-)/。

Pocket

Symbian OS開発環境の最新事情

Carbide.c++にはいくつかのエディションがあり、古いバージョンではそれぞれに値段が設定されていました。最新版の2.0では「Free(無料)」となっているものの特に困ってないからという理由で一番下の「Express」を使っていました。が、@ITで連載中の「Symbian OSアプリ開発の手引き」の最新記事ににそれぞれについての説明がされていたのでリンクをメモっておきます。

…「Express」ってただの体験版だったんですねぇ(ぉぃ。

Pocket

各スマートフォンOSにおける電話帳とカレンダーの同期について(Googleに色々預けちゃった人向け)

現在手元にはOSで分類すると「Symbian OS」「iPhone」「Android」の3種類のスマートフォンがいます。基本的にはその日気に入ったものを朝掴んで出られるのが理想な訳ですが、やはり電話として役立たせるのであれば電話帳とカレンダーのデータの同期が必須です。

そこで目をつけたのがGoogleの電話帳とカレンダーで、それぞれ以下のように連携させることができます。

  • Symbian OS(電話帳、カレンダー)←→GooSync(有料)←→Google
  • iPhone(電話帳)←→iTunes(Win/Mac)またはGooSync←→Google
  • iPhone(カレンダー(Winユーザー))←→iTunes(Win)←→OutLook←→(何かしらのソフト)←→Google
  • iPhone(カレンダー(Macユーザー))←→iTunes(Mac)←→iCal←→Google
  • Android(電話帳、カレンダー)←(直接)→Google

ちなみにWindows Mobile端末はまだ持っていませんがこれはGooSyncで何とかなりそうです。あと自分がスマートフォンに対して最低限必要とする機能に「パスワード管理ソフト」があります。各OSにはそれぞれ何かしらのソフトがありますが、さすがにまだ共通して使えるものがありません。これがあれば幸せになれるのですが、こればっかりはまだまだ遠そうです(汗)。

あとふと思ったのですが、iPhoneやAndroidにアラーム時の自動起動機能が無くてかえって良かったのかもしれません。なんせこんだけ同期をしていて、もし全部がNokia端末みたいにアラームの時間になった時に自動起動を始めたらなんて考えると…(((・д・;
)))

Pocket

Carbide.c++がv2.0にバージョンアップ

現在v1.3を使用しているCarbide.c++ですがこのほどv2.0がお目見えしました。


v2.0ではS60 5thが正式対応になり(UIQ31は継続して対応、Qt SDK for S60にも対応したようです)、「OEM」「Professional」「Developer」のエディションが選択できます。v1.3にあった「Express」は消えたようです。Freeって書いてあるからDeveloperがFreeになったのでしょうか?あとVistaに正式対応したようですので、Vistaな人は朗報かもしれません。

で、5th正式対応ということなのでためしにDeveloperをインストールしてみました。v1.3をインストールしたままでも問題なさそうです。というかすでにSDKも含めて環境が整っていればインスト→起動後に勝手にセッティングされるのでそのまま使用することができます(初回起動時は一度再起動されます)。めんどうなのはCarbideのエディタなどの設定変更くらいでしょうか?<これって簡単に移行する方法ないのかなぁ…。



おまけ情報としてv2.0とv1.3への直リンクを張っておきます。ちなみに対応SDKだけ見れば内包されているのでv1.3はもういらないかもです。むしろ、UIQ2やS60 2ndなど古いSDKを利用する場合はv1.1 Expressが必要になると思われます<リンク不明。あ、M1000はC++ BuilderX v1.5が必要デス:P。

  1. てか、デテールにもちゃんと書いてあげてよNokiaさん;;<インストール後のReadmeテキスト(html)にはちゃんと書いてある。 []
Pocket

Test Criteriaがまたバージョンアップするらしい


v3.0.2→v3.0.3だそうで。まだ詳しく見てませんが5th(タッチUI)関係に対する追記かな?

Pocket

ホーム > Symbian > UIQ3

検索
フィード
メタ情報

ページの上部に戻る